/*
   Semplice esempi di input/output con Arduino
   www.coagula.org
 */


// Questa routine viene eseguita ogni qualvolta la scheda viene accesa o resettata
void setup() {
  pinMode(7, INPUT);      //indica che il connettore digitale 7 sarà utilizzato come INPUT
  pinMode(13, OUTPUT);    //indica che il connettore digitale 13 sarà utilizzato come OUTPUT
}


//Questa routine viene eseguita in continuazione appena terminata la routine di setup
void loop() {
  int sensorValue = digitalRead(7);    //legge il valore presente sul connettore 7.
                                       //Tale valore può essere LOW (tensione ugule a 0)
                                       //oppure HIGH (tensione maggiore di 0)

  if(sensorValue==HIGH){               //se sul connettore 7 c'è una tensione maggiore di 0
    digitalWrite(13, HIGH);            //viene data in output sul connettore 13 una tensione di 5V
  }  
  else                                 //altrimenti se la tensione sul pin 7 è 0
  {
    digitalWrite(13, LOW);             //sul pin 13 viene data una tensione di 0 volt.
  }
}



